<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<?Declaration This xml is use by remote debug log upload?>
<RemoteDebugLogUpload>
    <SchemaVersion version="230227000"/>
    <Item id="900" name="BasicLogs">
        <Path dir="/data/log/hilogs/" pattern="eventslogcat-log((?!F\.tar\.gz).)*" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/hilogs/" pattern="hiapplogcat-log(\.\d)?" option="latest=4" privacylevel="PUBLIC" />
        <Path dir="/data/log/hilogs/" pattern="hiapplogcat-log.+\.gz" option="latest=30" privacylevel="PUBLIC" />
        <Path dir="/data/log/hilogs/" pattern="kmsgcat-log((?!F.tar.gz).)*" option="latest=6" privacylevel="SENSITIVE" />
        <Path dir="/data/log/hilogs/" pattern="rillogcat-log((?!F.tar.gz).)*" option="latest=6" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/ext_sensorhub_log/" pattern="Wearable_I[0-9]{3}_[0-9]{14}(.zip|.tar.gz)" option="latest=3" privacylevel="PUBLIC" />
        <CMD privacylevel="PUBLIC" run="__janklog" output="log_jank" protectTime="10000" />
        <CMD privacylevel="PUBLIC" run="__pmlist" output="package_list.txt" protectTime="5000" />
    </Item>
    <Item id="600" name="Private_600"  maxQuota="100">
        <Path dir="/data/log/remote_debug/temp/" pattern="CDC_VHR_LZ4CCAN_.*.lz4c" option="latest=20" privacylevel="SENSITIVE" />
    </Item>
    <Item id="901" name="Private_901"  maxQuota="30">
        <Path path="/data/hisi_logs/hisi_diaginfo.log" privacylevel="PUBLIC" />
        <Path path="/data/hisi_logs/history.log" privacylevel="PUBLIC" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/ap_log/bl31_mntn_memory.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/ap_log/dmesg-ramoops-0" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/ap_log/fastboot_log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/ap_log/last_fastboot_log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/ap_log/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/bbox(_aft)?\.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/bbox.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/bbox_sensorhub.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/bbox_split_bin/(.*).txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/bbox_split_bin/LPM3" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/codechifi_logs/codec_log.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/codechifi_logs/codec_ocram.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/codechifi_logs/codec_reg.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/cphy_dtcm.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/lphy_dump.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/lphy_mode_dtcm.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/lphy_pub_dtcm.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/modem_dump.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/modem_etb.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/modem_etb1.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/cp_log/reset.log" option="latest=2" privacylevel="PUBLIC" />
        <Path dir="/data/hisi_logs/" pattern="\d{14}-\d{8}/sochifi_logs/hifi_ddr.bin" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/modem_log/drv/nv/" pattern="NvLog.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/modem_log/drv/nv/" pattern="nv_file.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="last_teemsg" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="teeos-log-\d.tar.gz" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="teeOS_log-(.*)" option="latest=4" privacylevel="SENSITIVE" />
        <Path path="/data/log/bbox/history.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/bbox/" pattern="\d{14}-\d{8}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/bbox/" pattern="\d{14}-\d{8}/last_xbl_abl" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/bbox/" pattern="\d{14}-\d{8}/xbl_abl" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/charge-log/" pattern="charge-log((?!F.tar.gz).)*" option="latest=3" privacylevel="SENSITIVE" />
        <Path path="/data/log/dbox/srecorder" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="data_app_anr@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="data_app_anr@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="data_app_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="data_app_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="data_app_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="data_app_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="hbs_app_anr@\d{1,13}.txt" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="hbs_app_anr@\d{1,13}.txt.gz" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="hbs_app_crash@\d{1,13}.txt" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="hbs_app_crash@\d{1,13}.txt.gz" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_app_anr@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_app_anr@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_app_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_app_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_app_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_app_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="SYSTEM_LAST_KMSG@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="SYSTEM_LAST_KMSG@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_watchdog@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_watchdog@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_wtf@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="system_server_wtf@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="SYSTEM_TOMBSTONE@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/dropbox/" pattern="SYSTEM_TOMBSTONE@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/isp-log/" pattern="isp-log(.*)*" option="latest=1" privacylevel="SENSITIVE" />
        <Path path="/data/log/modem_crash/modem_crash_log" privacylevel="SENSITIVE" />
        <Path path="/data/log/modem_crash/modem_exception" privacylevel="SENSITIVE" />
        <Path dir="/data/log/reliability/appeye/" pattern="history.log" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/appeye/" pattern="history.log.0" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/appeye/" pattern="WP\d{2}-(.*)-event.log" privacylevel="SENSITIVE" />
        <Path dir="/data/log/reliability/faultdetect/" pattern="dumptool.log" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/faultdetect/" pattern="processed.cfg" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/faultdetect/feature_trace/" pattern="\d{14}/KernelCrash___\d{14}_Parsed_SRecorder.txt" option="latest=3|maxsize=1024" privacylevel="SENSITIVE" />
        <Path dir="/data/log/reliability/xcollie/" pattern="xcollie@\d{1,13}.log" option="latest=1|maxsize=16" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/zerohung/" pattern="dumptool.log" privacylevel="SENSITIVE" />
        <Path dir="/data/log/reliability/zerohung/" pattern="event.log" privacylevel="SENSITIVE" />
        <Path dir="/data/log/reliability/zerohung/" pattern="history.log" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/zerohung/" pattern="history.log.0" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/zerohung/" pattern="internal.log" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/zerohung/" pattern="internal.log.0" privacylevel="PUBLIC" />
        <Path dir="/data/log/reliability/zerohung/" pattern="processed.cfg" privacylevel="SENSITIVE" />
        <Path dir="/data/log/reliability/zerohung/" pattern="\d{14}-\d{5}-WP\d{2}/event.log" option="latest=1" privacylevel="SENSITIVE" />
        <Path path="/data/log/tee/last_teemsg" privacylevel="PUBLIC" />
        <Path dir="/data/log/xcollie/" pattern="xcollie@\d{1,13}.log" option="latest=1|maxsize=16" privacylevel="PUBLIC" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="LOG@F4A8816DB6FB4D4FA2B97DAE573313C0-\d{1}" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="LOG@F4A8816DB6FB4D4FA2B97DAE573313C0-\d{1}.tar.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="teeos-log-\d.tar.gz" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="teeOS_log-(.*)" option="latest=4" privacylevel="PUBLIC" />
        <Path dir="/data/vendor/log/isp-log/" pattern="isp-log(.*)*" option="latest=1" privacylevel="PUBLIC" />
        <Path dir="/data/vendor/log/mtklog/aee_exp/" pattern="history.log" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/mtklog/aee_exp/" pattern="\d{14}-\d{8}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/mtklog/aee_exp/" pattern="\d{14}-\d{8}/SYS_ATF_LAST" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/mtklog/aee_exp/" pattern="\d{14}-\d{8}/SYS_LAST_CPU_BUS" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/mtklog/aee_exp/" pattern="\d{14}-\d{8}/SYS_REBOOT_REASON" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/mtklog/aee_exp/" pattern="\d{14}-\d{8}/ZZ_INTERNAL" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}.tar.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/applogcat-log.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/bootFail_info.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/critical_process_crash.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/fastboot_log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/framework_boot_fail.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg.android.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/lk.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/pmsg-ramoops-0" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/recovery_info.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/sbl1.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/tombstone_\d{1,2}" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/xloader_log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/dumptool/" pattern="\d{14}/dumptoolinfo" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/dumptool/" pattern="\d{14}/KernelCrash___\d{14}_Parsed_SRecorder.txt" option="latest=3|maxsize=1024" privacylevel="SENSITIVE" />
        <Path dir="/log/dumptool/sbl1_lk/" pattern="lk_\d{14}.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/dumptool/sbl1_lk/" pattern="sbl1_\d{14}.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/f2fs-tools/" pattern="fsck.log(.)*" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/log/recovery/" pattern="recovery_log(.*)" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/log/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/fastboot_log" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/log/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/pmsg-ramoops-0" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/recovery_info.txt" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}.tar.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/applogcat-log.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/bootFail_info.txt" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/critical_process_crash.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/fastboot_log" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/framework_boot_fail.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg.android.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/lk.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/pmsg-ramoops-0" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/recovery_info.txt" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/sbl1.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/tombstone_\d{1,2}" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/xloader_log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/modem_log/drv/nv/" pattern="NvLog.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/modem_log/drv/nv/" pattern="nv_file.bin" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}.tar.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/applogcat-log.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/bootFail_info.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/critical_process_crash.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/fastboot_log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/framework_boot_fail.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg.android.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/lk.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/pmsg-ramoops-0" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/recovery_info.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/sbl1.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/tombstone_\d{1,2}" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/xloader_log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/dumptool/" pattern="\d{14}/dumptoolinfo" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/dumptool/" pattern="\d{14}/KernelCrash___\d{14}_Parsed_SRecorder.txt" option="latest=3|maxsize=1024" privacylevel="SENSITIVE" />
        <Path dir="/splash2/dumptool/sbl1_lk/" pattern="lk_\d{14}.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/dumptool/sbl1_lk/" pattern="sbl1_\d{14}.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/recovery/" pattern="recovery_log(.*)" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/fastboot_log" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/pmsg-ramoops-0" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/" pattern="bootfail_\d{14}_0(x|X)\d{1,12}/recovery_info.txt" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}.tar.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/applogcat-log.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/bootFail_info.txt" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/critical_process_crash.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/fastboot_log" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/framework_boot_fail.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/last_kmsg.android.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/lk.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/pmsg-ramoops-0" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/recovery_info.txt" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/sbl1.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/system_server_watchdog@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/tombstone_\d{1,2}" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/reliability/boot_fail/uploading/" pattern="bootfail_\d{14}_0(x|X)(\d|\w){1,12}/xloader_log" option="latest=3" privacylevel="SENSITIVE" />
    </Item>
    <Item id="902" name="Private_902"  maxQuota="30">
        <Path dir="/data/log/jank/iotrace/" pattern="iotrace(.*)" option="latest=1|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/jank/log/" pattern="log_jank" option="delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/jank/remote/" pattern="\w+/\d{17}/systrace(.*).sys" option="latest=2|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/jank/remote/" pattern="\w+/\d{17}/\d+_jankexec.log" option="latest=2|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/remote_debug/temp/" pattern=".*_jankexec.log" option="latest=5|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/remote_debug/temp/" pattern="log_jank" option="delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/remote_debug/temp/" pattern="systrace(.*).sys" option="latest=5|delete" privacylevel="SENSITIVE" />
    </Item>
    <Item id="903" name="Private_903"  maxQuota="30">
        <Path dir="/data/log/charge-log/" pattern="charge-log((?!F\.tar\.gz).)*" option="latest=2" privacylevel="PUBLIC" />
        <Path dir="/data/log/remote_debug/temp/" pattern="dubai(.*).zip" option="latest=1|maxsize=15360|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/sensorhub-log/" pattern="sensorhub-log(.*)" option="latest=2|maxsize=6144" privacylevel="SENSITIVE" />
        <Path dir="/data/log/sleeplog/" pattern="dumpsys-log(.*)" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/sleeplog/" pattern="power_stats-log(.*)" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/data/log/sleeplog/" pattern="sensor-log((?!F\.tar\.gz).)*" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/data/log/sleeplog/" pattern="wakeupsources-log(.*)" option="latest=3" privacylevel="SENSITIVE" />
    </Item>
    <Item id="904" name="Private_904"  maxQuota="100">
        <Path path="/data/hisi_logs/history.log" privacylevel="PUBLIC" />
        <Path dir="/data/hisi_logs/modem_log/drv/sci/" pattern="di\d\w{1,20}\d{14}.bin" option="latest=30" privacylevel="PUBLIC" />
        <Path path="/data/log/log.db" privacylevel="SENSITIVE" />
        <Path path="/data/log/LogService/0/eventinfo.hvw904" privacylevel="SENSITIVE" />
        <Path path="/data/log/LogService/0/eventinfo.hvw921" privacylevel="SENSITIVE" />
        <Path path="/data/log/LogService/0/eventinfo.log904" privacylevel="SENSITIVE" />
        <Path path="/data/log/modem_crash/modem_crash_log" privacylevel="SENSITIVE" />
        <Path path="/data/log/modem_crash/modem_exception" privacylevel="SENSITIVE" />
        <Path dir="/data/log/mtklog/debuglogger/" pattern="mdlog\d/MDLog\d_\d{4}_\d{4}_\d{6}(_EE_\w+)?/MDLog\d_\d{4}_\d{4}_\d{6}(_data)?.muxz(.tmp)?" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/data/log/mtklog/mtklog" pattern="mdlog\d/MDLog\d_\d{4}_\d{4}_\d{6}(_EE_\w+)?/MDLog\d_\d{4}_\d{4}_\d{6}(_data)?.muxz(.tmp)?" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/data/log/netmask/" pattern="netmask.+.pcap" option="latest=5|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/modem/" pattern="diag_log_.*.qmdl" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/modem/" pattern="diag_log_.*.qmdl2" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/modem/" pattern="diag_qdss_log_mpss_.*.bin" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/modem/balonglte/" pattern="LOG_\d+_\d{14}_\d+.lpd" option="latest=10" privacylevel="SENSITIVE" />
        <Path path="/log/chr/HwRepairHelper.db" privacylevel="SENSITIVE" />
        <Path path="/log/LogService/0/eventinfo.hvw904" privacylevel="SENSITIVE" />
        <Path path="/log/LogService/0/eventinfo.log904" privacylevel="SENSITIVE" />
        <Path dir="/modem_log/drv/sci/sci/" pattern="di\d\w{1,20}\d{14}.bin" option="latest=30" privacylevel="PUBLIC" />
        <Path path="/sdcard/Android/data/com.huawei.ims/files/hme_v_log_all.txt" privacylevel="PUBLIC" />
        <Path path="/sdcard/Android/data/com.huawei.ims/files/hme_v_log_api.txt" privacylevel="PUBLIC" />
        <Path path="/sdcard/Android/data/com.huawei.ims/files/hme_v_log_error.txt" privacylevel="PUBLIC" />
        <Path path="/sdcard/Android/data/com.huawei.ims/files/hme_v_log_io.txt" privacylevel="PUBLIC" />
        <Path path="/sdcard/Android/data/com.huawei.ims/files/hme_v_log_trace.txt" privacylevel="PUBLIC" />
        <Path dir="/sdcard/log/modem/balonglte/" pattern="LOG_\d+_\d{14}_\d+.lpd" option="latest=10" privacylevel="SENSITIVE" />
    </Item>
    <Item id="907" name="Private_907"  maxQuota="30">
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="last_teemsg" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="teeos-log-\d.tar.gz" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="teeOS_log-(.*)" option="latest=4" privacylevel="SENSITIVE" />
        <Path path="/data/log/log.db" privacylevel="SENSITIVE" />
        <Path dir="/data/log/fwk_logs/pms/" pattern="pms_install_record_[12].txt" option="latest=2|maxsize=200" privacylevel="SENSITIVE" />
        <Path dir="/data/log/hsl_share/" pattern="freerdp-server.log.*" privacylevel="SENSITIVE" />
        <Path dir="/data/log/hsl_share/" pattern="HSLGd.log.*" privacylevel="SENSITIVE" />
        <Path dir="/data/log/hsl_share/" pattern="isulad.log.*" privacylevel="SENSITIVE" />
        <Path dir="/data/log/hsl_share/" pattern="weston.log.*" privacylevel="SENSITIVE" />
        <Path path="/data/log/LogService/0/eventinfo.hvw904" privacylevel="SENSITIVE" />
        <Path path="/data/log/LogService/0/eventinfo.hvw921" privacylevel="SENSITIVE" />
        <Path path="/data/log/LogService/0/eventinfo.hvw950" privacylevel="SENSITIVE" />
        <Path dir="/data/log/remote_debug/temp/" pattern=".*_jankexec.log" option="latest=1|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/remote_debug/temp/" pattern="contact(.*)" option="latest=1|maxsize=1024|delete" privacylevel="SENSITIVE" />
        <Path path="/data/log/tee/last_teemsg" privacylevel="PUBLIC" />
        <Path dir="/data/system/dropbox/" pattern="data_app_anr@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_anr@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_anr@\d{1,13}.txt" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_anr@\d{1,13}.txt.gz" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_crash@\d{1,13}.txt" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_crash@\d{1,13}.txt.gz" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_anr@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_anr@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="SYSTEM_LAST_KMSG@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_watchdog@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_watchdog@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_wtf@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_wtf@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="SYSTEM_TOMBSTONE@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path path="/data/system/users/0/settings_global.xml" privacylevel="SENSITIVE" />
        <Path path="/data/system/users/0/settings_system.xml" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="teeos-log-\d.tar.gz" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="teeOS_log-(.*)" option="latest=4" privacylevel="PUBLIC" />
        <Path path="/log/chr/HwRepairHelper.db" privacylevel="SENSITIVE" />
        <Path dir="/log/dmd_log/" pattern="dmd_record_(.*).txt" option="latest=4" privacylevel="PUBLIC" />
        <Path path="/log/log/unrmd.log" privacylevel="SENSITIVE" />
        <Path path="/log/unrmd/unrmd.log" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.android.calendar/files/log/" pattern="oper.all.log\d{1,2}.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.android.providers.calendar/files/log/" pattern="oper.all.log\d{1,2}.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.example.android.notepad/files/log/" pattern="notepad_log_\d{1,2}.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.huawei.calendar/files/log/" pattern="oper.all.log\d{1,2}.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.huawei.hicar/files/Log/" pattern="HILOG.*log" option="latest=3|maxsize=2048" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.hicar/files/logzip/" pattern="hiapplogcat-log.*xlog" option="latest=6|maxsize=1024" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.hwvoipservice/files/Hvslog/" pattern="agora.*log" option="latest=6|maxsize=3072" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.hwvoipservice/files/Hvslog/" pattern="hme_v_log_[a-z]{1,5}.txt" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.hwvoipservice/files/Hvslog/" pattern="HME_[A-Z,a-z]{3,12}.log" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.hwvoipservice/files/Hvslog/" pattern="uspa_\d{1,2}.log" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.meetime/files/mtlog/" pattern="agora.*log" option="latest=6|maxsize=3072" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.meetime/files/mtlog/" pattern="hme_v_log_[a-z]{1,5}.txt" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.meetime/files/mtlog/" pattern="HME_[A-Z,a-z]{3,12}.log" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.meetime/files/mtlog/" pattern="uspa_\d{1,2}.log" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Android/data/com.huawei.nearby/files/Logs/" pattern="log.*gz" option="latest=10|maxsize=4096" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.huawei.nearby/files/Logs/" pattern="log.*log" option="latest=10|maxsize=4096" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.huawei.notepad/files/log/" pattern="notepad_log_\d{1,2}.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.huawei.profile/files/logs/" pattern="ProfileEvent.log.*" option="latest=5|maxsize=512|delete" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.huawei.recsys/files/Logs/" pattern="DSHiPlayLog.*gz" option="latest=10|maxsize=4096" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Android/data/com.huawei.recsys/files/Logs/" pattern="DSHiPlayLog.*log" option="latest=1|maxsize=4096" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/" pattern="sp_-?\d{1,}/THIRD_log/THIRD_\d{1}.\d{1}.log" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/" pattern="wiseplayer_app_.*.log" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/" pattern="wiseplayer_player_.*.log" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/" pattern="^(d{8})_.*.log" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/" pattern="^(d{8})_.*.zip" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/crash_log/" pattern="crash_\d{1,}.\d{1,}.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/health_log/" pattern="health_\d{1,}.\d{1,}.log" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/run_log/" pattern="runtime_.*.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/softChinaDrm/com.novel.drmclient/drmlog/" pattern="drmlog-\d{1,}.log" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.himovie.tv/files/Logs/vrom/dailylog/UniSDK_comhuaweihimovietv/dailylog/" pattern="log.*.xlog" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/sdcard/Harmony/data/com.huawei.homevision.videocall/files/hrslog/" pattern="hme_v_log_[a-z]{1,5}.txt" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Harmony/data/com.huawei.homevision.videocall/files/hrslog/" pattern="HME_[A-Z,a-z]{3,12}.log" option="latest=5" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Harmony/data/com.huawei.homevision.videocall/files/hrslog/" pattern="uspa_\d{1,2}.log" option="latest=5" privacylevel="PUBLIC" />
        <Path path="/splash2/unrm_file.log" privacylevel="SENSITIVE" />
        <Path dir="/splash2/dmd_log/" pattern="dmd_record_(.*).txt" option="latest=4" privacylevel="PUBLIC" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.android.launcher/files/log/" pattern="launcher_record_\d{1,2}.txt" option="latest=2" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.hilink.framework/files/Log/com.huawei.hilink.framework/" pattern=".*\.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.homepanel.boxproxy/files/Log/" pattern=".*\.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.homepanel.boxproxy/files/Log/com.huawei.homepanel.boxproxy/" pattern=".*\d{1,2}.xlog" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.homepanel.linkassistant/" pattern=".*\.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.homepanel.linkassistant/" pattern=".*\d{1,2}.xlog" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.smarthome.extend/files/Log/" pattern=".*xiaotun_plugin_.*\d{1,2}.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.smarthome.extend/files/Log/com.huawei.smarthome.extend/" pattern=".*\.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.smarthome.homehub/" pattern=".*\.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.smarthome.homehub/" pattern=".*\d{1,2}.xlog" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.wisescenario/files/hiscenario2/" pattern=".*\.xlog" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Android/data/com.huawei.wisescenario/files/Log/wisescenario/" pattern=".*\.xlog" option="latest=10" privacylevel="SENSITIVE" />
        <Path path="/storage/emulated/0/Harmony/data/com.huawei.repliedservice/files/Log/floatwindow_old.log" option="maxsize=10240" privacylevel="SENSITIVE" />
        <Path path="/storage/emulated/0/Harmony/data/com.huawei.repliedservice/files/Log/repliedservice.floatwindow.log" option="maxsize=10240" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/Huawei/CloudClone/logs/" pattern="PhoneClone(.*)" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/log/hrslog/" pattern="hrcs_\d{1,15}.log" option="latest=5|maxsize=512|delete" privacylevel="SENSITIVE" />
        <Path dir="/storage/emulated/0/log/hsmslog/" pattern="sms(.*)" option="latest=1|maxsize=512|delete" privacylevel="SENSITIVE" />
    </Item>
    <Item id="909" name="Private_909"  maxQuota="30">
        <Path dir="/data/log/bt/" pattern="btsnoop_hci_(.+).log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/log/hi110x/bfg_log/" pattern="bfg_log(.*)" option="latest=50" privacylevel="PUBLIC" />
        <Path dir="/data/log/mtklog/connsysFW/" pattern="WIFI_FW_\d{4}_\d{4}_\d{6}.clog" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/log/mtklog/connsysFW/" pattern="WIFI_FW_\d{4}_\d{4}_\d{6}.clog.curf" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/log/netmask/" pattern="netmask.+.pcap" option="latest=5|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/rcu/" pattern="BTRemoteControlLog.+\.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path dir="/data/log/sensorhub-log/" pattern="sensorhub-log(.*)" option="latest=2|maxsize=6144" privacylevel="SENSITIVE" />
        <Path dir="/data/log/wifi/" pattern="wifi_log_(.*)" option="latest=150" privacylevel="SENSITIVE" />
        <Path path="/data/nfc/nci_history" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/hi110x/bfg_log/" pattern="bfg_log(.*)" option="latest=50" privacylevel="PUBLIC" />
        <Path dir="/data/vendor/log/wifi/" pattern="wifi_log_(.*)" option="latest=150" privacylevel="PUBLIC" />
        <Path path="/data/vendor/nfc/nci_history" privacylevel="SENSITIVE" />
        <Path dir="/log/nc_chr/nfc/done/" pattern="NFC_CHR_(.+)_\d{14}.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/log/nc_chr/wifi/done/" pattern="WIFI_CHR_(.+)_\d{14}.log" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/log/wifi/Hi110x/" pattern="wifi_log_fw_(.+).bin" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/sdcard/Harmony/data/com.huawei.homevision.accessory/files/rcu/" pattern="BTRemoteControlLog.+\.log" option="latest=10" privacylevel="SENSITIVE" />
        <Path path="/splash2/LogService/0/eventinfo.log909" privacylevel="SENSITIVE" />
        <Path path="/splash2/LogService/0/eventinfo.log910" privacylevel="PUBLIC" />
        <Path path="/splash2/LogService/0/eventinfo.log913" privacylevel="SENSITIVE" />
        <Path path="/splash2/LogService/0/eventinfo.log915" privacylevel="SENSITIVE" />
        <Path dir="/splash2/nc_chr/nfc/done/" pattern="NFC_CHR_(.+)_\d{14}.log" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/splash2/nc_chr/wifi/done/" pattern="WIFI_CHR_(.+)_\d{14}.log" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/wifi/Hi110x/" pattern="wifi_log_fw_(.+).bin" option="latest=3" privacylevel="PUBLIC" />
    </Item>
    <Item id="920" name="Private_920"  maxQuota="30">
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="last_teemsg" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="teeos-log-\d.tar.gz" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/data/hisi_logs/running_trace/teeos_logs/" pattern="teeOS_log-(.*)" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/data/log/sensorhub-log/" pattern="sensorhub-log(.*)" option="latest=2|maxsize=6144" privacylevel="SENSITIVE" />
        <Path path="/data/log/tee/last_teemsg" privacylevel="PUBLIC" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="teeos-log-\d.tar.gz" option="latest=4" privacylevel="SENSITIVE" />
        <Path dir="/data/vendor/log/hisi_logs/tee/" pattern="teeOS_log-(.*)" option="latest=4" privacylevel="PUBLIC" />
        <Path path="/data/vendor/log/msp/mspproclog" option="maxsize=10000" privacylevel="PUBLIC" />
        <Path dir="/data/vendor/log/thplog/" pattern=".*thplog" option="latest=5" privacylevel="SENSITIVE" />
        <Path dir="/log/dmd_log/" pattern="dmd_record_(.*).txt" option="latest=4" privacylevel="PUBLIC" />
        <Path path="/log/fp/erl_log" privacylevel="PUBLIC" />
        <Path path="/log/fp/erl_log.1" privacylevel="PUBLIC" />
        <Path path="/log/fp/fp_stats_all" privacylevel="PUBLIC" />
        <Path path="/log/fp/fp_stats_all.1" privacylevel="PUBLIC" />
        <Path path="/log/fp/ud_erl_log" privacylevel="PUBLIC" />
        <Path path="/log/fp/ud_erl_log.1" privacylevel="PUBLIC" />
        <Path path="/log/fp/ud_fp_stats_all" privacylevel="PUBLIC" />
        <Path path="/log/fp/ud_fp_stats_all.1" privacylevel="PUBLIC" />
        <Path path="/log/fp/ud_ulk_log" privacylevel="PUBLIC" />
        <Path path="/log/fp/ud_ulk_log.1" privacylevel="PUBLIC" />
        <Path path="/log/fp/ulk_log" privacylevel="PUBLIC" />
        <Path path="/log/fp/ulk_log.1" privacylevel="PUBLIC" />
        <Path dir="/splash2/dmd_log/" pattern="dmd_record_(.*).txt" option="latest=4" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/erl_log" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/erl_log.1" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/fp_stats_all" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/fp_stats_all.1" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ud_erl_log" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ud_erl_log.1" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ud_fp_stats_all" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ud_fp_stats_all.1" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ud_ulk_log" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ud_ulk_log.1" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ulk_log" privacylevel="PUBLIC" />
        <Path path="/splash2/fp/ulk_log.1" privacylevel="PUBLIC" />
    </Item>
    <Item id="999" name="Private_999"  maxQuota="30">
        <Path dir="/data/log/remote_debug/temp/" pattern=".*_jankexec.log" option="latest=5|delete" privacylevel="SENSITIVE" />
        <Path dir="/data/log/sensorhub-log/" pattern="sensorhub-log(.*)" option="latest=2|maxsize=6144" privacylevel="SENSITIVE" />
        <Path dir="/data/log/sleeplog/" pattern="sensor-log((?!F\.tar\.gz).)*" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/data/system/dropbox/" pattern="data_app_anr@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_anr@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="data_app_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_anr@\d{1,13}.txt" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_anr@\d{1,13}.txt.gz" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_crash@\d{1,13}.txt" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="hbs_app_crash@\d{1,13}.txt.gz" option="latest=1" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_anr@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_anr@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_app_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="SYSTEM_LAST_KMSG@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_native_crash@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_native_crash@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_watchdog@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_watchdog@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_wtf@\d{1,13}.txt" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="system_server_wtf@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path dir="/data/system/dropbox/" pattern="SYSTEM_TOMBSTONE@\d{1,13}.txt.gz" option="latest=3" privacylevel="SENSITIVE" />
        <Path path="/data/system/users/0/settings_global.xml" privacylevel="SENSITIVE" />
        <Path path="/data/system/users/0/settings_system.xml" privacylevel="SENSITIVE" />
        <Path dir="/log/dmd_log/" pattern="dmd_record_(.*).txt" option="latest=4" privacylevel="PUBLIC" />
        <Path dir="/log/recovery/" pattern="recovery_log(.*)" option="latest=3" privacylevel="PUBLIC" />
        <Path dir="/splash2/dmd_log/" pattern="dmd_record_(.*).txt" option="latest=4" privacylevel="PUBLIC" />
        <Path dir="/splash2/recovery/" pattern="recovery_log(.*)" option="latest=3" privacylevel="PUBLIC" />
    </Item>
    <Item id="9030" name="Dubai_903">
        <DynamicPath pattern=".*.db" option="latest=7|delete|maxsize=122880" />
        <DynamicPath pattern="transid" option="latest=1|delete" />
        <DynamicPath pattern="903" option="latest=1|delete" />
    </Item>
</RemoteDebugLogUpload>